This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 119501 - Volume Control Applet 2.5.7 does not work (at all)
Volume Control Applet 2.5.7 does not work (at all)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks: FC2Target
  Show dependency treegraph
 
Reported: 2004-03-30 17:59 EST by mark
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-18 21:54:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description mark 2004-03-30 17:59:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:
Volume Control Applet 2.5.7 defaults to zero volume level at startup
(despite alsamixer being set correctly via alsactl restore i.e. not
muted). then when trying to change the volume through it, the applet
simply changes back to zero volume. interestingly, Volume Control
2.5.5 mixer application works correctly.

FC2 test2 
kernel-2.6.3-2.1.253.2.1
gnome-applets-2.5.7-4
gnome-media-2.5.5-2
alsa-lib-1.0.3a-1
alsa-utils-1.0.3-1

my modprobe.conf has only 1 entry for ALSA:

alias snd-card-0 snd-emu8000-synth

Version-Release number of selected component (if applicable):
see description

How reproducible:
Always

Steps to Reproduce:
1.boot
2.use gnome-applet "Volume Control" to try and change the volume
3.
    

Actual Results:  nothing happens

Expected Results:  volume should change

Additional info:
Comment 1 Need Real Name 2004-04-12 13:08:12 EDT
I have the same problem with gnome-applets-2.6.0-1. Also if I try to
open the volume control through the applet it says that no mixer
elemnts or devices could be found.

Alsamixer and aumixer works fine.
Comment 2 Gene Czarcinski 2004-04-14 12:59:13 EDT
I believe that this is a dup of
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=120802
which has been fixed.
Comment 3 mark 2004-04-14 17:27:54 EDT
no, i disagree. sound works correctly with the exception of the volume
control applet. besides, i am running selinux in the enforcing = 0 mode.
Comment 4 mark 2004-04-28 19:55:13 EDT
in FC2 test3, this problem still exists. i change the volume through
the applet and then the computer changes it "slowly" (in test2, it
moved much quicker) back until the volume is zero again. the behavior
is slightly different in 2.6.0-3 from when i last reported but the net
result is the same. the applet cannot control the volume as it is
designed to do.
Comment 5 Vibol Hou 2004-05-06 21:01:51 EDT
this happened to me also.  i wasn't able to control the volume at all
and there were no audio channels listed in the preferences option.  i
removed the applet from the panel and added the applet again and it
appears to be working normally now.
Comment 6 mark 2004-05-06 23:02:04 EDT
i tried removing the applet and the placing it on the panel again, but
still the volume control applet does not work...
Comment 7 Lee Revell 2004-05-11 22:30:57 EDT
Same problem with latest devel RPMs.  Ensoniq ES1371.
Comment 8 Phil 2004-05-22 12:26:11 EDT
I noticed the problem on FC2 final.  As long as I set the GNOME Volume
Control applet to its maximum setting, it'll stay there.  Any setting
less than that, the volume slider slowly slides down to zero on it's
own.  I removed the applet, inserted a new one on the panel - same
behavior.  My Realtek ALC650 onboard sound (on an Intel i865PE based
Shuttle AB60N) is recognized and otherwise appears to be functioning
properly for all users.  FWIW, as others in the Fedora-test list have
mentioned, opening the Volume Control from the applet reveals a
two-tabbed mixer panel.  For me, one tab is titled, "Intel ICH5 [Alsa
Mixer]", the other, "Realtek rev 3 [Audio Mixer(OSS)]".  The latter
may be a representation of an OSS-capatibility layer that ALSA
maintains for older programs that rely on OSS, but that is speculation
on my part.  This does not appear to be the same bug as 120802.
Comment 9 mark 2004-05-22 13:03:11 EDT
my mixers are...

SoundBlaster 16 [Alsa Mixer]
CTL1745 [Audio Mixer (OSS)]

i can also reproduce the behavior that if i set the volume to max then
the volume slider stays put (didn't notice this until now).
Comment 10 Phil 2004-05-23 10:07:41 EDT
I have found a fix for this bug on gnome's bugzilla, referenced here:
http://bugzilla.gnome.org/show_bug.cgi?id=139961

The gnome-applets .rpm can be found here:
http://www.math.utah.edu/~newren/linux/random/download/gnome-applets-2.6.1-1.i386.rpm

Using the 2.6.1 gnome-applets, the Volume Control now stays where it's
put!
Comment 11 mark 2004-06-18 21:54:06 EDT
the redhat rpm package gnome-applets-2.6.0-5 appears to fix this problem.

changing to resolved rawhide...

Note You need to log in before you can comment on or make changes to this bug.